Bug 441133 - kernel BUG at include/linux/mm.h:220! (at shutdown)
kernel BUG at include/linux/mm.h:220! (at shutdown)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
: 441508 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-06 12:10 EDT by Tom London
Modified: 2009-07-14 10:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:57:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2008-04-06 12:10:22 EDT
Description of problem:
Got the following kernel BUG report during  shutdown.  Occurred just after
NetworkManager "crash at shutdown":

Apr  5 10:27:22 localhost kernel: ------------[ cut here ]------------
Apr  5 10:27:22 localhost kernel: kernel BUG at include/linux/mm.h:220!
Apr  5 10:27:22 localhost kernel: invalid opcode: 0000 [#1] SMP 
Apr  5 10:27:22 localhost kernel: Modules linked in: ib_iser rdma_cm ib_cm iw_cm
ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi scsi_transport_iscsi ipv6
acpi_cpufreq fuse loop dm_multipath kvm_intel kvm sr_mod cdrom snd_hda_intel
ppdev arc4 snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq ecb
snd_seq_device snd_pcm_oss nsc_ircc thinkpad_acpi i915 snd_mixer_oss snd_pcm
crypto_blkcipher irda hwmon sdhci crc_ccitt parport_pc video snd_timer iTCO_wdt
parport ata_piix ac battery output bay iwl3945 iTCO_vendor_support firewire_ohci
mmc_core snd_page_alloc drm ata_generic firewire_core snd_hwdep mac80211
crc_itu_t i2c_i801 i2c_algo_bit pata_acpi snd soundcore e1000e i2c_core cfg80211
button sg dm_snapshot dm_zero dm_mirror dm_mod ahci libata sd_mod scsi_mod ext3
jbd mbcache uhci_hcd ohci_hcd ehci_hcd [last unloaded: coretemp]
Apr  5 10:27:22 localhost kernel: 
Apr  5 10:27:22 localhost kernel: Pid: 2997, comm: compiz Not tainted
(2.6.25-0.195.rc8.git1.fc9.i686 #1)
Apr  5 10:27:22 localhost kernel: EIP: 0060:[put_page+71/193] EFLAGS: 00010246
CPU: 1
Apr  5 10:27:22 localhost kernel: EIP is at put_page+0x47/0xc1
Apr  5 10:27:22 localhost kernel: EAX: 40000000 EBX: c1a09310 ECX: edc99cb0 EDX:
00000000
Apr  5 10:27:22 localhost kernel: ESI: c1a09310 EDI: ede0e8c0 EBP: e57c5ec0 ESP:
e57c5eb0
Apr  5 10:27:22 localhost kernel:  DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0068
Apr  5 10:27:22 localhost kernel: Process compiz (pid: 2997, ti=e57c5000
task=e507c000 task.ti=e57c5000)
Apr  5 10:27:22 localhost kernel: Stack: 00000246 eeced1f0 c1a09310 ede0e8c0
e57c5ee0 c0487e4d e57c5ed4 c063db0d 
Apr  5 10:27:22 localhost kernel:        00000010 eeced1f0 ede0e8c0 eeced0f0
e57c5f14 f8e0d1de e5173f00 eeced118 
Apr  5 10:27:22 localhost kernel:        eeced2c0 eeced2c0 00000001 c0479850
f7804690 00000287 e5173f00 e509b580 
Apr  5 10:27:22 localhost kernel: Call Trace:
Apr  5 10:27:22 localhost kernel:  [kfree+67/236] ? kfree+0x43/0xec
Apr  5 10:27:22 localhost kernel:  [_spin_unlock+29/32] ? _spin_unlock+0x1d/0x20
Apr  5 10:27:22 localhost kernel:  [<f8e0d1de>] ? drm_vm_shm_close+0x181/0x191 [drm]
Apr  5 10:27:22 localhost kernel:  [remove_vma+72/78] ? remove_vma+0x48/0x4e
Apr  5 10:27:22 localhost kernel:  [remove_vma+48/78] ? remove_vma+0x30/0x4e
Apr  5 10:27:22 localhost kernel:  [exit_mmap+187/214] ? exit_mmap+0xbb/0xd6
Apr  5 10:27:22 localhost kernel:  [mmput+58/130] ? mmput+0x3a/0x82
Apr  5 10:27:22 localhost kernel:  [exit_mm+225/231] ? exit_mm+0xe1/0xe7
Apr  5 10:27:22 localhost kernel:  [do_exit+515/1475] ? do_exit+0x203/0x5c3
Apr  5 10:27:22 localhost kernel:  [do_group_exit+102/125] ? do_group_exit+0x66/0x7d
Apr  5 10:27:22 localhost kernel:  [sys_exit_group+19/21] ? sys_exit_group+0x13/0x15
Apr  5 10:27:22 localhost kernel:  [syscall_call+7/11] ? syscall_call+0x7/0xb
Apr  5 10:27:22 localhost kernel:  =======================
Apr  5 10:27:22 localhost kernel: Code: 75 03 8b 5b 0c 83 7b 04 00 75 04 0f 0b
eb fe f0 ff 4b 04 0f 94 c0 84 c0 0f 84 81 00 00 00 89 d8 ff 53 68 eb 7a 83 7b 04
00 75 04 <0f> 0b eb fe f0 ff 4b 04 0f 94 c0 84 c0 74 65 8b 03 a8 20 74 58 
Apr  5 10:27:22 localhost kernel: EIP: [put_page+71/193] put_page+0x47/0xc1
SS:ESP 0068:e57c5eb0
Apr  5 10:27:22 localhost kernel: ---[ end trace 64bb85a1d11987eb ]---
Apr  5 10:27:22 localhost kernel: Fixing recursive fault but reboot is needed!
Apr  5 10:27:22 localhost console-kit-daemon[2359]: WARNING: Couldn't connect to
system bus: Failed to connect to socket /var/run/dbus/system_bus_socket:
Connection refused
Apr  5 10:27:23 localhost ntpd[2309]: ntpd exiting on signal 15
Apr  5 10:27:25 localhost restorecond: terminated



Version-Release number of selected component (if applicable):
kernel-2.6.25-0.195.rc8.git1.fc9.i686

How reproducible:
Don't know

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dave Airlie 2008-04-17 22:28:05 EDT
is this still happening on later rawhide kernels?
Comment 2 Dave Airlie 2008-04-17 22:29:47 EDT
*** Bug 441508 has been marked as a duplicate of this bug. ***
Comment 3 Tom London 2008-04-18 09:34:11 EDT
Last time I saw this was with kernel-2.6.25-0.195.rc8.git1.fc9.i686 on 5 April.
Comment 4 Bug Zapper 2008-05-14 04:58:53 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 20:01:09 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 10:57:16 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.